<?php

namespace App\Models\Enums;

enum TaskApprovalStatus:string
{
    case WAIT = 'wait'; //未提交审批 Not Submitted

    case DOING = 'doing'; //等待审批 Pending for Approval

    case RESUBMISSION = 'resubmission'; //重新提交 C-Resubmission Reg'd

    case APPROVED = 'approved'; //审批通过 A-Approved & B-Approved w/comment

    case CANCEL = 'canceled'; //取消 Cancelled

    case REJECTED = 'rejected'; //拒绝 D-Rejected
}
