<?php

namespace App\Models;

use Stancl\Tenancy\Database\Concerns\HasDatabase;
use Stancl\Tenancy\Database\Concerns\HasDomains;
use Stancl\Tenancy\Database\Models\Tenant as BaseTenant;
use Stancl\Tenancy\Contracts\TenantWithDatabase;

/**
 * @method  __call(string $method, array $parameters)
 * @method  __callStatic(string $method, array $parameters)
 */
class Tenant extends BaseTenant implements TenantWithDatabase
{
    use HasDatabase, HasDomains;

    protected $casts = [
//        'tenancy_db_username' => 'encrypted',
//        'tenancy_db_password' => 'encrypted',
    ];

    public static function getCustomColumns(): array
    {
        return [
            'id',
//            'tenancy_db_username' => 'encrypted',
//            'tenancy_db_password' => 'encrypted',
        ];
    }
}
