<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Stancl\Tenancy\Contracts;
use Stancl\Tenancy\Database\Concerns;
class GlobalUser extends Model implements Contracts\Domain
{
    use Concerns\CentralConnection;

    protected $table = 'global_users';
    use HasFactory;

    public function tenant()
    {
        return $this->belongsTo(config('tenancy.tenant_model'));
    }
}
